static COUNTRIES_LIST: &[&str] = &["Afghanistan", "Mozambique", "Kosovo", "Sri Lanka", "Uganda"];

static CITIES_LIST: &[&str] = &[
    "Tokyo",
    "Mumbai",
    "Tianjin",
    "Bogot\u{e1}",
    "Wuhan",
    "Foshan",
    "Dar es Salaam",
];

/// Function to locate country by coordinates.
pub fn locate_country(coords: usize) -> String {
    let calculated_id = coords % COUNTRIES_LIST.len();
    let country = COUNTRIES_LIST[calculated_id].to_string();
    info!("Calculated country: {}", country.as_str());
    country
}

/// Function to locate city by coordinates.
pub fn locate_city(coords: usize) -> String {
    let calculated_id = coords % CITIES_LIST.len();
    let city = CITIES_LIST[calculated_id].to_string();
    info!("Calculated city: {}", city.as_str());
    city
}
