resource "aws_sns_topic" "s3rius_sns_topic" {
  name = "s3rius-sns-topic"
}

resource "aws_lambda_permission" "sns_allow_lambda_permission" {
  action        = "lambda:InvokeFunction"
  function_name = aws_lambda_function.sns_lambda.function_name
  principal     = "sns.amazonaws.com"
  source_arn    = aws_sns_topic.s3rius_sns_topic.arn
}

resource "aws_iam_role" "sns_role" {
  name               = var.sns_role_name
  assume_role_policy = data.aws_iam_policy_document.aws_sns_role_policy_doc.json
}

data "aws_iam_policy_document" "aws_sns_role_policy_doc" {
  version = "2012-10-17"
  statement {
    effect = "Allow"
    actions = [
      "sts:AssumeRole"
    ]

    principals {
      type = "Service"
      identifiers = [
        "sns.amazonaws.com"
      ]
    }
  }
}