provider "aws" {
  version = "~> 2.0"
  region  = "eu-central-1"
  profile = "main_profile"
}

module "services" {
  source = "./aws_services"
  // S3 variables
  s3_bucket_name = var.s3_bucket_name

  //  Firehose variables
  firehose_lambda_name = "s3rius_fire_lambda"
  firehose_lambda_file = var.firehose_lambda_function
  firehose_role_name   = "s3rius_fire_role"

  //  SNS variables
  sns_lambda_name = "s3rius_sns_lambda"
  sns_lambda_file = var.sns_lambda_function
  sns_role_name   = "s3rius_sns_role"

  # Glue variables
  glue_role_name = "s3rius_glue_role"

}
