resource "aws_s3_bucket" "s3_weather_bucket" {
  bucket        = var.s3_weather_bucket
  acl           = "private"
  force_destroy = true
}

resource "aws_s3_bucket_notification" "weather_bucket_notification" {
  bucket = aws_s3_bucket.s3_weather_bucket.id

  lambda_function {
    lambda_function_arn = aws_lambda_function.s3_lambda.arn
    events              = ["s3:ObjectCreated:*"]
    filter_prefix       = "AUTHORIZED/"
  }

  depends_on = [aws_lambda_permission.allow_bucket]
}